/*
 * Copyright (c) 1998 Kungliga Tekniska Hgskolan
 * (Royal Institute of Technology, Stockholm, Sweden).
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Kungliga Tekniska
 *      Hgskolan and its contributors.
 * 
 * 4. Neither the name of the Institute nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE INSTITUTE AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE INSTITUTE OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/* $Id: tltest.c,v 1.2 1998/02/12 21:10:02 lha Exp $ */

#include <stdio.h>
#include "tl.h"

static TL_cmd foocmd[] = {
    { "foo", "fooarg1" , 1, "use with caution" },
    { "old-foo-not-supported-but-here-anyway"},
    { "bar", "bararg1 bararg2", 2, "muhahaha"},
    { NULL }
};
    

int 
main(int argc, char **argv)
{
    TL_value *val;
    int i ;
    char **str;

    if ((i = tl_loop(foocmd, argc, argv, &val)) != TL_SUCCESS) 
	printf("Damm: %s\n", tl_errstr(i));

    tl_print(val);

    str = tl_find(val, "foo");
    if (str) 
	printf("foo == %s\n", str[0]);
    else 
	printf("foo: no found !\n");

    printf("verbose:\n");
    tl_help(foocmd, argv[0], 1);
    printf("sparse:\n");
    tl_help(foocmd, argv[0], 0);
	
    tl_free(val);

    return 0;
}

